Queries
Find Records, aggregate them and read the statistics of a field.
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
The stages of the pipeline.
[index: integer]?The result of the pipeline.
application/json- response
@meta?The name and version of the service that answered.
data?array<>curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/aggregate" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '[ { "$match": { "status": "open" } }, { "$group": { "_id": "$district", "count": { "$sum": 1 } } }]'{ "@meta": {}, "data": [ {} ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
fields?array<string>The ids of the fields.
sampleLimit?integerHow many Records to look at.
The statistics, by field.
application/json- response
@meta?The name and version of the service that answered.
data?curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/field-stats" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "fields": [], "sampleLimit": 0}'{ "@meta": {}, "data": {}}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
rawValue?booleanReturn the stored values, not the ones formatted for display.
falserawField?booleanName the fields by their id, not by their display name.
falseformat?stringThe format of the answer.
"json""json""geojson""csv"formatOptions?stringOptions of the format, as a JSON object.
The Records on this page, and how many match.
application/json- response
@meta?The name and version of the service that answered.
total?integerHow many match, before skip and limit.
data?array<>The Records.
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/find" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "total": 0, "data": [ {} ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
rawValue?booleanReturn the stored values, not the ones formatted for display.
falserawField?booleanName the fields by their id, not by their display name.
falseformat?stringThe format of the answer.
"json""json""geojson""csv"formatOptions?Options of the format, as a JSON object.
The Records on this page, and how many match.
application/json- response
@meta?The name and version of the service that answered.
total?integerHow many match, before skip and limit.
data?array<>The Records.
curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/find" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "@meta": {}, "total": 0, "data": [ {} ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
fieldId*stringThe id of the field, as in the Item's schema.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
rawValue?booleanReturn the stored values, not the ones formatted for display.
falserawField?booleanName the fields by their id, not by their display name.
falseformat?stringThe format of the answer.
"json"formatOptions?stringOptions of the format, as a JSON object.
The values.
application/json- response
@meta?The name and version of the service that answered.
total?integerHow many match, before skip and limit.
data?array<>curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getLookupData/$FIELD_ID" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "total": 0, "data": [ {} ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
fieldId*stringThe id of the field, as in the Item's schema.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
rawValue?booleanReturn the stored values, not the ones formatted for display.
falserawField?booleanName the fields by their id, not by their display name.
falseformat?stringThe format of the answer.
"json"formatOptions?Options of the format, as a JSON object.
[key: string]?anyThe values.
application/json- response
@meta?The name and version of the service that answered.
total?integerHow many match, before skip and limit.
data?array<>curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/getLookupData/$FIELD_ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "@meta": {}, "total": 0, "data": [ {} ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
rawValue?booleanReturn the stored values, not the ones formatted for display.
falserawField?booleanName the fields by their id, not by their display name.
falseformat?stringThe format of the answer.
"json""json""geojson""csv"formatOptions?stringOptions of the format, as a JSON object.
The Records on this page, and how many match.
application/json- response
@meta?The name and version of the service that answered.
total?integerHow many match, before skip and limit.
data?array<>The Records.
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/query" \ -H "Authorization: Bearer $TOKEN"{ "@meta": {}, "total": 0, "data": [ {} ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the Item.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
rawValue?booleanReturn the stored values, not the ones formatted for display.
falserawField?booleanName the fields by their id, not by their display name.
falseformat?stringThe format of the answer.
"json""json""geojson""csv"formatOptions?Options of the format, as a JSON object.
The Records on this page, and how many match.
application/json- response
@meta?The name and version of the service that answered.
total?integerHow many match, before skip and limit.
data?array<>The Records.
curl -X POST "https://platform.example.com/api/item/$ITEM_ID/actions/query" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "@meta": {}, "total": 0, "data": [ {} ]}